aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig/tasks/major_upgrade_ceph_storage.sh
diff options
context:
space:
mode:
authorGiulio Fidente <gfidente@redhat.com>2016-09-28 15:05:14 +0200
committerGiulio Fidente <gfidente@redhat.com>2016-09-29 13:35:05 +0200
commit059307718f4422e0840a90ad40f98947260ac8f1 (patch)
tree3d8582fdb3341c9054d3a3435b8c994cbbef97bb /extraconfig/tasks/major_upgrade_ceph_storage.sh
parent22decf4276c56b58b41ab6523c9a8da41ddeeab6 (diff)
Use -L with chown and set crush map tunables when upgrading Ceph
Previously the chown command wasn't traversing symlinks, causing the new ownership to not be set for some needed files. This change also ensures the crush map tunables are set to the 'default' profile after the upgrade. Finally redirects the output of a pidof to /dev/null to avoid spurious logging. Change-Id: Id4865ffff207edfc727d729f9cc04e6e81ad19d8
Diffstat (limited to 'extraconfig/tasks/major_upgrade_ceph_storage.sh')
-rw-r--r--extraconfig/tasks/major_upgrade_ceph_storage.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/extraconfig/tasks/major_upgrade_ceph_storage.sh b/extraconfig/tasks/major_upgrade_ceph_storage.sh
index dc80a724..705e84eb 100644
--- a/extraconfig/tasks/major_upgrade_ceph_storage.sh
+++ b/extraconfig/tasks/major_upgrade_ceph_storage.sh
@@ -18,7 +18,7 @@ set -eu
echo INFO: starting $(basename "$0")
# Exit if not running
-if ! pidof ceph-osd; then
+if ! pidof ceph-osd &> /dev/null; then
echo INFO: ceph-osd is not running, skipping
exit 0
fi
@@ -63,7 +63,7 @@ if [[ "$UPDATED_VERSION" =~ ^0\.94.* ]]; then
elif [[ "$UPDATED_VERSION" =~ ^10\.2.* ]]; then
# RPM could own some of these but we can't take risks on the pre-existing files
for d in /var/lib/ceph/osd /var/log/ceph /var/run/ceph /etc/ceph; do
- chown -R ceph:ceph $d || echo WARNING: chown of $d failed
+ chown -L -R ceph:ceph $d || echo WARNING: chown of $d failed
done
# Replay udev events with newer rules